//---------------------------------------------------------------------------
#ifndef Demo_H
#define Demo_H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "HttpScan.hpp"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <Mask.hpp>
#include <Menus.hpp>
#include <Dialogs.hpp>
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// Composants gérés par l'EDI
        TLabel *Label5;
        TLabel *Label14;
        TLabel *Label1;
        TLabel *Label3;
        TEdit *Edit3;
        TEdit *Edit6;
        TUpDown *UpDown1;
        TUpDown *UpDown2;
        TButton *Button1;
        TButton *Button2;
        TPageControl *PageControl1;
        TTabSheet *TabSheet1;
        TMemo *Memo1;
        TMemo *Memo11;
        TRichEdit *RichEdit3;
        TCheckBox *CheckBox5;
        TTabSheet *TabSheet2;
        TLabel *Label2;
        TLabel *Label6;
        TMemo *Memo6;
        TMemo *Memo5;
        TTabSheet *TabSheet3;
        TGroupBox *GroupBox1;
        TRichEdit *RichEdit1;
        TCheckBox *CheckBox3;
        TMemo *Memo9;
        TGroupBox *GroupBox2;
        TMemo *Memo8;
        TRichEdit *RichEdit2;
        TCheckBox *CheckBox4;
        TTabSheet *TabSheet5;
        TMemo *Memo10;
        TTabSheet *Log;
        TMemo *Memo2;
        TMemo *Memo3;
        TMemo *Memo4;
        TTabSheet *TabSheet4;
        TLabel *Label8;
        TLabel *Label9;
        TGroupBox *GroupBox4;
        TLabel *Label10;
        TLabel *Label12;
        TLabel *Label11;
        TLabel *Label13;
        TEdit *Edit8;
        TEdit *Edit9;
        TMaskEdit *MaskEdit1;
        TEdit *Edit4;
        TRadioGroup *RadioGroup1;
        TEdit *Edit5;
        TEdit *Edit7;
        TStatusBar *StatusBar1;
        TMemo *Memo7;
        TEdit *Edit2;
        TRadioGroup *RadioGroup2;
        TRadioGroup *RadioGroup3;
        TButton *Button3;
        THttpScan *HttpScan1;
        TOpenDialog *OpenDialog1;
        TCheckBox *CheckBox1;
        TMemo *Memo12;
        void __fastcall FormCreate(TObject *Sender);
        void __fastcall Button2Click(TObject *Sender);
        void __fastcall Button1Click(TObject *Sender);
        void __fastcall Edit1KeyPress(TObject *Sender, char &Key);
        void __fastcall HttpScan1Error(TObject *Sender, AnsiString Url,
          DWORD ErrorCode, AnsiString ErrorMsg);
        void __fastcall HttpScan1Working(TObject *Sender, bool Working_);
        void __fastcall Exit1Click(TObject *Sender);
        void __fastcall UpDown2Click(TObject *Sender, TUDBtnType Button);
        void __fastcall UpDown1Click(TObject *Sender, TUDBtnType Button);
        void __fastcall HttpScan1PageReceived(TObject *Sender,
          AnsiString HostName, AnsiString Url, AnsiString Head,
          AnsiString Body);
        void __fastcall HttpScan1UpdatedStats(TObject *Sender, int InQueue,
          int Downloading, int ToAnalyze, int Done, int Retries,
          int Errors);
        void __fastcall RadioGroup1Click(TObject *Sender);
        void __fastcall Edit8Change(TObject *Sender);
        void __fastcall Edit4Change(TObject *Sender);
        void __fastcall Edit9Change(TObject *Sender);
        void __fastcall MaskEdit1Change(TObject *Sender);
        void __fastcall CheckBox3Click(TObject *Sender);
        void __fastcall CheckBox4Click(TObject *Sender);
        void __fastcall Memo8Change(TObject *Sender);
        void __fastcall Memo9Change(TObject *Sender);
        void __fastcall HttpScan1MetaTag(TObject *Sender, AnsiString Url,
          AnsiString ReferringUrl, AnsiString TagType,
          AnsiString Tag1stAttrib, AnsiString Tag1stValue,
          AnsiString Tag2ndAttrib, AnsiString Tag2ndValue,
          AnsiString Tag3rdAttrib, AnsiString Tag3rdValue);
        void __fastcall Edit5Change(TObject *Sender);
        void __fastcall Edit7Change(TObject *Sender);
        void __fastcall CheckBox5Click(TObject *Sender);
        void __fastcall Memo11Change(TObject *Sender);
        void __fastcall Edit3KeyPress(TObject *Sender, char &Key);
        void __fastcall Edit6KeyPress(TObject *Sender, char &Key);
        void __fastcall RadioGroup2Click(TObject *Sender);
        void __fastcall RadioGroup3Click(TObject *Sender);
        void __fastcall CheckBox1Click(TObject *Sender);
        void __fastcall Button3Click(TObject *Sender);
        void __fastcall HttpScan1LinkFound(TObject *Sender,
          AnsiString UrlFound, AnsiString TypeLink, AnsiString FromUrl,
          AnsiString HostName, AnsiString UrlPath,
          AnsiString UrlPathWithFile, AnsiString FileName,
          AnsiString ExtraInfos, int Port, AnsiString &WriteToFile,
          char HrefOrSrc, int CountArea, bool &FollowIfHtmlLink);
private:
public:
        __fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
